System.Web.Services 2.0.0.0 System.Object System.Collections.Generic.IEnumerator<System.Web.Services.Description.BasicProfileViolation> To be added.

Enumerates the elements in a .

- Constructor
  2.0.0.0
  To be added.

  is set to -1.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.Web.Services.Description.BasicProfileViolation To be added.

  The default value is -1.

  Gets the current element in the .

- Method
  2.0.0.0
  System.Void To be added.

  Releases all resources used by the current instance of the class.Releases all resources used by the .

- Method
  2.0.0.0
  System.Boolean To be added.

  Enumerates to the next element in the .

  false if the end of the collection is reached; otherwise true.

- Property
  2.0.0.0
  System.Object To be added. To be added.

  Gets the current element in the .

- Method
  2.0.0.0
  System.Void To be added.

  Sets the enumerator to its initial position, which is before the first element in the .